<template>
  <q-layout view="hHh lpR fFf">

    <q-header elevated class="header no-print">
      <q-toolbar>
        <q-toolbar-title>
          <img class="header-logo cursor-pointer" src="~assets/logo.svg" @click="$router.push('/')" />
        </q-toolbar-title>

        <q-btn to="/print" icon="qr_code" title="Print a terminal" flat />

        <a href="https://t.me/jimtendo" target="_blank" title="Telegram">
          <img src="~assets/telegram-dark.svg" />
        </a>
        <a href="https://gitlab.com/scantopay.cash" target="_blank" title="Github">
          <img src="~assets/github-dark.svg" />
        </a>
      </q-toolbar>
    </q-header>

    <q-page-container>
      <router-view />
    </q-page-container>

    <footer class="footer no-print">
      <div class="footer-inner">
        <div class="row">
          <div class="col-6">
            ScanToPay.Cash <span class="text-warning">PoC Release</span>
          </div>
          <div class="col-6 text-right">
            <a href="https://t.me/jimtendo" target="_blank" title="Telegram">
              <img src="~assets/telegram.svg" />
            </a>
            <a href="https://gitlab.com/scantopay.cash" target="_blank" title="Github">
              <img src="~assets/github.svg" />
            </a>
          </div>
        </div>
      </div>
    </footer>

  </q-layout>
</template>

<script setup>
import { useQuasar } from 'quasar'

const $q = useQuasar()

$q.notify({
  type: 'warning',
  message: 'This service is a PoC Release. It works - but it is not recommended for use with Merchants yet.',
  closeBtn: true,
  timeout: 10 * 1000
})
</script>

<style lang="scss">
  .header {
    color: #000;
    background: #fff;
  }

  .header-logo {
    display: block;
    height: 45px;
    padding: 8px;
  }

  .header a {
    margin-right: 10px;
  }

  .header a img {
    width: 32px;
    height: 32px;
  }

  .footer {
    color: #fff;
    background: #333;
    padding: 10px;
  }

  .footer-inner {
    margin: auto;
    width: 1024px;
    max-width: 100%;
    font-size: 1.2em;
  }

  .footer-inner a {
    color: #fff;
    text-decoration: none;
  }

  .footer-inner a img {
    width: 24px;
    height: 24px;
    margin-right: 10px
  }
</style>
